ItemEvents.entityInteracted(e => {

  if (e.target.type == "mowziesmobs:umvuthi") {
    e.cancel()
  }

  if (e.item.id == 'spelunkery:salt_bucket') {
    e.cancel()
  }
})

BlockEvents.rightClicked(e => {

  let {block} = e;
  
  let blocked = [
    "minecraft:enchanting_table",
    "minecraft:brewing_stand",
    "bountiful:bountyboard",
    "spelunkery:salt_bucket"
  ]

  if (blocked.includes(block.id)) {
    e.cancel()
  }

})